#16S rRNA 454 code
sff.multiple(file=sffFiles_16S.txt,minflows=360,processors=2)
summary.seqs(fasta=sffFiles_16S.fasta, name=sffFiles_16S.names)
unique.seqs(fasta=sffFiles_16S.fasta, name=sffFiles_16S.names)
summary.seqs(fasta=sffFiles_16S.unique.fasta, name=sffFiles_16S.unique.names)
align.seqs(fasta=sffFiles_16S.unique.fasta, reference=silva.nr_v119.align, flip=t, processors=2)
summary.seqs(fasta=sffFiles_16S.unique.align, name=sffFiles_16S.unique.names)
screen.seqs(fasta=sffFiles_16S.unique.align, name=sffFiles_16S.unique.names, group=sffFiles_16S.groups, start=1046, optimize=end, criteria=95, processors=2)
summary.seqs(fasta=sffFiles_16S.unique.good.align, name=sffFiles_16S.unique.good.names) 
filter.seqs(fasta=sffFiles_16S.unique.good.align, vertical=T, trump=., processors=2)
unique.seqs(fasta=sffFiles_16S.unique.good.filter.fasta, name=sffFiles_16S.unique.good.names)
summary.seqs(fasta=sffFiles_16S.unique.good.filter.unique.fasta, name=sffFiles_16S.unique.good.filter.names)
pre.cluster(fasta=sffFiles_16S.unique.good.filter.unique.fasta, name=sffFiles_16S.unique.good.filter.names, group=sffFiles_16S.good.groups, diffs=2)
summary.seqs(fasta=sffFiles_16S.unique.good.filter.unique.precluster.fasta, name=sffFiles_16S.unique.good.filter.unique.precluster.names)

#Removing chimeras
chimera.uchime(fasta=sffFiles_16S.unique.good.filter.unique.precluster.fasta, name=sffFiles_16S.unique.good.filter.unique.precluster.names, group=sffFiles_16S.good.groups, processors=2)
remove.seqs(accnos=sffFiles_16S.unique.good.filter.unique.precluster.uchime.accnos, fasta=sffFiles_16S.unique.good.filter.unique.precluster.fasta, name=sffFiles_16S.unique.good.filter.unique.precluster.names, group=sffFiles_16S.good.groups, dups=T)
mothur > summary.seqs(name=current)

#Removing contaminants (and specifically chloroplasts for leaf/plant samples)
classify.seqs(fasta=sffFiles_16S.unique.good.filter.unique.precluster.pick.fasta, name=sffFiles_16S.unique.good.filter.unique.precluster.pick.names, group=sffFiles_16S.good.pick.groups, template=silva.nr_v119.align, taxonomy=silva.nr_v119.tax, cutoff=60, processors=2)

#Preparing inputs for analysis
system(cp sffFiles_16S.unique.good.filter.unique.precluster.pick.pick.fasta final_16S.fasta)
system(cp sffFiles_16S.unique.good.filter.unique.precluster.pick.pick.names final_16S.names)
system(cp sffFiles_16S.good.pick.pick.groups final_16S.groups)
system(cp sffFiles_16S.unique.good.filter.unique.precluster.pick.nr_v119.wang.pick.taxonomy final_16S.taxonomy)
dist.seqs(final=final_16S.fasta, processors=2)
cluster(column=final_16S.dist, name=final_16S.names)

## make OTU shared file
make.shared(list=final_16S.an.list, group=final_16S.groups, label=0.03)
classify.otu(list=final_16S.an.list, name=final_16S.names, taxonomy=final_16S.taxonomy, label=0.03)


rarefaction.single(shared=final_16S.an.shared, calc=sobs, freq=100)
rarefaction.single(shared=final_16S.an.shared, calc=coverage)
summary.single(calc=nseqs-coverage-sobs-invsimpson)

#decided to remove Az_T7_432_A6_28F with only 48 sequences and Leaf_T2_507_D11_28F with 93 bc this was screwing up all the sequence counts, Good's coverage estimates, etc.
remove.groups(shared=final_16S.an.shared, groups=Az_T7_432_A6_28F-Leaf_T2_507_D11_28F-Mock_Fungal_E11_28F)
#renamed to final_16S.an.good93.shared 
count.groups(shared=final_16S.an.good93.shared)
dist.shared(shared=final_16S.an.good93.shared, calc=thetayc-jclass)

#venn diagrams
remove.groups(shared=final_16Strial4Venn.an.shared,groups=Az_T103_529_C12_28F-Az_T7_432_A6_28F-Ceph_T4_425_1_A2_28F-Ceph_T4_497_C2_28F-Leaf_T165_506_D5_28F-Leaf_T2_507_D11_28F-Leaf_T4_488_B5_28F-Leaf_T5_487_E1_28F-Leaf_T7_505_D2_28F-Leaf_TU_508_E2_28F-Mock_Fungal_E11_28F-PsCoc_T8_511_E6_28F)
merge.groups(shared=final_16Strial4Venn.an.0.03.pick.shared,design=454_OTUs.subsample.design.txt)
venn(shared=final_16Strial4Venn.an.0.03.pick.merge.shared,groups=Azteca-Azteca_dom-Scale_Azteca)
venn(shared=final_16Strial4Venn.an.0.03.pick.merge.shared,groups=Cephalotes-Ceph_dom-Scale_Ceph)

##removing singleton OTUs 
split.abund(fasta=final_16S.fasta, list=final_16S.an.list, group=final_16S.groups, cutoff=1, label=0.03)
make.shared(list=final_16S.an.0.03.abund.list, group=final_16S.0.03.abund.groups)
remove.groups(fasta=final_16S.0.03.abund.fasta, group=final_16S.0.03.abund.groups, name=final_16S.names, list=final_16S.an.0.03.abund.list, shared=final_16S.an.0.03.abund.shared, groups=Mock_Fungal_E11_28F-Az_T7_432_A6_28F-Leaf_T2_507_D11_28F)

#subsampling
sub.sample(shared=final_16S.an.shared, size=619)
merge.groups(shared=final_16S.an.0.03.subsample.shared,design=454_OTUs.subsample.design.txt)
venn(shared=final_16S.an.0.03.subsample.merge.shared,groups=Azteca-Azteca_dom-Scale_Azteca)
venn(shared=final_16S.an.0.03.subsample.merge.shared,groups=Cephalotes-Ceph_dom-Scale_Ceph)



