#ITS 454 code
sff.multiple(file=sffFiles_ITS.txt,minflows=360,processors=2)
summary.seqs(fasta=sffFiles_ITS.fasta, name=sffFiles_ITS.names)
chop.seqs(fasta=sffFiles_ITSchop.fasta, numbases=310, keep=front, short=T)
chop.seqs(fasta=sffFiles_ITSchop.chop.fasta, numbases=250, keep=back, short=F)
remove.seqs(accnos=sffFiles_ITSchop.chop.chop.accnos, name=sffFiles_ITSchop.names, group=sffFiles_ITSchop.groups, dups=T)
chimera.uchime(fasta=sffFiles_ITSchop.chop.chop.fasta, name=sffFiles_ITSchop.pick.names, group=sffFiles_ITSchop.pick.groups, processors=2)
remove.seqs(accnos=sffFiles_ITSchop.chop.chop.uchime.accnos, fasta=sffFiles_ITSchop.chop.chop.fasta, name=sffFiles_ITSchop.pick.names, group=sffFiles_ITSchop.pick.groups, dups=T)
summary.seqs(name=sffFiles_ITSchop.pick.pick.names)
pre.cluster(fasta=sffFiles_ITSchop.chop.chop.pick.fasta, name=sffFiles_ITSchop.pick.pick.names, group=sffFiles_ITSchop.pick.pick.groups, diffs=2)
pairwise.seqs(fasta=sffFiles_ITSchop.chop.chop.pick.precluster.fasta, calc=onegap, countends=F, processors=2)
cluster(column=sffFiles_ITSchop.chop.chop.pick.precluster.dist, name=sffFiles_ITSchop.chop.chop.pick.precluster.names)
make.shared(list=sffFiles_ITSchop.chop.chop.pick.precluster.an.list, group=sffFiles_ITSchop.pick.pick.groups, label=0.03)
system(cp sffFiles_ITSchop.chop.chop.pick.precluster.an.shared final_ITSchop.an.shared)
count.groups(shared=final_ITSchop.an.shared)
system(cp sffFiles_ITSchop.chop.chop.pick.precluster.fasta final_ITS.fasta)
system(cp sffFiles_ITSchop.pick.pick.groups final_ITS.groups)
system(cp sffFiles_ITSchop.chop.chop.pick.precluster.names final_ITS.names)
system(cp sffFiles_ITSchop.chop.chop.pick.precluster.an.list final_ITS.an.list)

#filter out singleton OTUs
split.abund(fasta=final_ITS.fasta, list=final_ITS.an.list, group=final_ITS.groups, cutoff=1, label=0.03)
make.shared(list=final_ITS.an.0.03.abund.list, group=final_ITS.0.03.abund.groups)
summary.single(shared=final_ITS.an.0.03.abund.shared, calc=nseqs-coverage-sobs-invsimpson)
rarefaction.single(shared=final_ITS.an.0.03.abund.shared, calc=sobs-coverage)

#remove mock fungal data and lowest coverage Coccid
remove.groups(fasta=final_ITS.0.03.abund.fasta, group=final_ITS.0.03.abund.groups, name=final_ITS.names, list=final_ITS.an.0.03.abund.list, shared=final_ITS.an.0.03.abund.shared, groups=Mock_Fungal_E11_ITS-Coc_T4_491_B11_28F_ITS)
count.groups(shared=final_ITS.an.0.03.abund.0.03.pick.shared)

#for subsampling, 902 cuts out two coccid samples and one Cephdom
sub.sample(shared=final_ITS.an.0.03.abund.0.03.pick.shared, size=902)
#output file name: final_ITS.an.0.03.abund.0.03.pick.0.03.subsample.shared

remove.groups(fasta=final_ITS.fasta, group=final_ITS.groups, name=final_ITS.names, list=final_ITS.an.list, groups=Mock_Fungal_E11_ITS-Coc_T4_491_B11_28F_ITS)
classify.seqs(fasta=final_ITS.pick.fasta, template=UNITEv6_sh_dynamic.fasta, taxonomy=UNITEv6_sh_dynamic.tax)
phylotype(taxonomy=final_ITS.pick.UNITEv6_sh_dynamic.wang.taxonomy,name=final_ITS.pick.names)

# phylotypes 
remove.groups(fasta=final_ITS.fasta, group=final_ITS.groups, name=final_ITS.names, list=final_ITS.an.list, groups=Mock_Fungal_E11_ITS-Coc_T4_491_B11_28F_ITS)
classify.seqs(fasta=final_ITS.pick.fasta, template=UNITEv6_sh_dynamic.fasta, taxonomy=UNITEv6_sh_dynamic.tax)
phylotype(taxonomy=final_ITS.pick.UNITEv6_sh_dynamic.wang.taxonomy,name=final_ITS.pick.names)
make.shared(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list, group=final_ITS.pick.groups, label=5)
system(mv final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.shared ITS_phylum_CryptOnly.shared)
classify.otu(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list,  taxonomy=final_ITS.pick.UNITEv6_sh_dynamic.wang.taxonomy, name=final_ITS.pick.names, label=5)
make.shared(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list, group=final_ITS.pick.groups, label=4)
system(mv final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.shared ITS_order_CryptOnly.shared)
remove.groups(shared=ITS_order_CryptOnly.shared, groups=Coc_T6_520_E3_ITS)
ITS_order_CryptOnly.4.pick.shared
classify.otu(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list,  taxonomy=final_ITS.pick.UNITEv6_sh_dynamic.wang.taxonomy, name=final_ITS.pick.names, label=4)
make.shared(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list, group=final_ITS.pick.groups, label=3)
system(mv final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.shared ITS_family_CryptOnly.shared)
remove.groups(shared=ITS_family_CryptOnly.shared, groups=Coc_T6_520_E3_ITS)
classify.otu(list=final_ITS.pick.UNITEv6_sh_dynamic.wang.tx.list,  taxonomy=final_ITS.pick.UNITEv6_sh_dynamic.wang.taxonomy, name=final_ITS.pick.names, label=3)

#alpha diversity
make.shared(list=ITS_CryptandCocT6_OTUs.0.03.list, group=ITS_CryptandCocT6_082816.groups, label=0.03)
remove.groups(shared=ITS_CryptandCocT6_OTUs.0.03.shared, groups=Coc_T6_520_E3_ITS)
#1602 with singletons
remove.groups(shared=final_ITS.an.0.03.abund.0.03.pick.shared, groups=Coc_T6_520_E3_ITS)
#1398 without singletons
rarefaction.single(shared=ITS_CryptandCocT6_OTUs.0.03.0.03.pick.shared, calc=sobs, freq=100)
#manually grouped by sample type for easier rarefaction file:
rarefaction.single(shared=ITS_Crypt_only_OTUs_groupedbysampletype.shared, calc=sobs, freq=10)
rarefaction.single(shared=ITS_Crypt_only_nosingleOTUs_groupedbysampletype.shared, calc=sobs, freq=10)


##venn diagrams with singletons but subsampled
make.shared(list=final_ITS.an.0.03.pick.list, group=final_ITS.pick.groups, label=0.03)
count.groups(shared=final_ITS.an.0.03.pick.shared)
sub.sample(shared=final_ITS.an.0.03.pick.shared, size=902)
system(cp final_ITS.an.0.03.pick.shared trial120716_ITS.0.03.shared)
sub.sample(shared=trial120716_ITS.0.03.shared, size=902)
remove.groups(shared=trial120716_ITS.0.03.0.03.subsample.shared, groups=Coc_T6_520_E3_ITS)
merge.groups(shared=trial120716_ITS.0.03.0.03.subsample.0.03.pick.shared, design=ITS_familyOTUs.2.subsample.design.txt)
venn(shared=trial120716_ITS.0.03.0.03.subsample.0.03.pick.merge.shared,groups=Azteca-Azteca_dom-Scale_Azteca)
venn(shared=trial120716_ITS.0.03.0.03.subsample.0.03.pick.merge.shared,groups=Cephalotes-Ceph_dom-Scale_Ceph)
